## debian-edu 2.11.10

=== debian/changelog ===
debian-edu (2.11.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * task-lxqt-desktop: Drop unused sddm-theme-elarun from Recommends.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Feb 2020 01:42:54 +0100

debian-edu (2.11.9) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/{main-server,standalone}:
    - Replace now transitional package 'task-print-server' with
      'task-print-service' (renamed, no other changes).
  * tasks/thin-client:
    - Add x2gothinclient-common, required for all thin client chroot types.

  [ Holger Levsen ]
  * d/control: bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 23 Jan 2020 14:21:11 +0100

debian-edu (2.11.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Clean up various tasks files from packages that have been removed from
    testing and unstable.
    - tasks/desktop-other: gimp-ufraw, gtk-recordmydesktop
    - tasks/development: drpython
    - tasks/misc: goplay
  * tasks/video:
    - Replace openshot with openshot-qt.
  * tasks/thin-client:
    - Also recommend autofs, p910nd and xpdf to be able to access mass storage
      devices and printers attached to thin clients.
  * Trim trailing whitespace.
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Git.

 -- Holger Levsen <holger@debian.org>  Mon, 20 Jan 2020 19:15:04 +0100

debian-edu (2.11.7) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/ltsp-server and tasks/thin-client:
    - Adjustments after LTSP has been re-written from scratch.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Fri, 06 Dec 2019 21:28:20 +0100

debian-edu (2.11.6) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control.stub: (education-menus) Drop Depends on desktop-profiles.
    The menu reorganization is now managed via XDG; it applies for all users.
    The concept of group specific desktop icons is gone since a long time, too.
  * Remove no longer needed files debian-edu-menus.listing and menus/is-enabled.
  * Adjust debian/{education-menus.install,education-menus.postinst}.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sun, 10 Nov 2019 10:56:50 +0800

debian-edu (2.11.5) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/main-server:
    - Replace icinga2-classicui with icingaweb2.
    - Replace debian-installer-10-netboot-{amd64,i386} with
      debian-installer-11-netboot-{amd64,i386}.
  * tasks/ltsp-server: Drop Recommends on ltsp-docs (no longer available).
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2019 19:58:40 +0100

debian-edu (2.11.4) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/main-server: Add icinga2-classicui as icinga2 web frontend.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sat, 12 Oct 2019 15:17:01 +0200

debian-edu (2.11.3) unstable; urgency=medium

  * Add sources.list.bullseye and make sources.list.UNRELEASED symlink point
    to it.
  * Drop sources.list.stretch and sources.list.jessie.
  * Update d/copyright and d/README.source for the two previous changes.
  * sources.list.buster: drop commented out entry for ftp.skolelinux.org as
    wheezy was the last release that used that service.
  * d/control:
    - bump standards version to 4.4.1, no changes needed.
    - drop versioning on dependency on tasksel.
    - update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Thu, 03 Oct 2019 09:02:04 +0100

debian-edu (2.11.2) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/development: Replace python-easygui with python3-easygui.
    Thanks to Andreas Noteng. (Closes: #934639)
  * tasks/workstation: Add education-menus to improve modular installations.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Wed, 14 Aug 2019 14:07:17 +0200

debian-edu (2.11.1) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Start on 2.11.1 as Debian 11 Bullseye is targeted.
  * tasks/main-server: Replace icinga with icinga2. (Closes: #933260)
    Thanks to Bas Couwenberg.
  * debian/control: Update after running 'make dist'.

  [ Holger Levsen ]
  *  d/control:
     - bump standards version to 4.4.0, no changes needed.
     - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Thu, 08 Aug 2019 14:57:16 +0200

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-edu
Section: metapackages
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Wolfgang Schweer <wschweer@arcor.de>,
 Dominik George <nik@naturalnet.de>
Build-Depends: debhelper-compat (= 12), blends-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu.git
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
Homepage: https://www.skolelinux.org

XS-Comment: This is a specific package which contains a tasksel helper. It doesn't make sense to put it in tasks.
Package: education-tasks
Section: misc
Architecture: any
Multi-Arch: same
Depends: tasksel,
 ${misc:Depends}
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.
 .
 Debian Edu is a Debian Pure Blend, an overview of available
 metapackages and their dependencies/recommendations/suggestions
 is provided at https://blends.debian.org/edu/tasks/

XS-Comment: This is a specific package which reorganizes the menu. It doesn't make sense to put in tasks.
Package: education-menus
Section: misc
Architecture: any
Depends: ${misc:Depends}
Description: Debian Edu menu reorganization
 A package to reorganize menu branches in order to get a structure
 easy to use for teachers and students.

Package: education-astronomy
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: education-menus,
            gpredict,
            kstars,
            openuniverse,
            stellarium,
            xplanet,
            xplanet-images
Suggests: astronomical-almanac,
          lightspeed,
          sunclock,
          xtide,
          xtide-data
Description: Debian Edu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: avogadro,
            chemtool,
            easychem,
            education-menus,
            gchempaint,
            gdis,
            gperiodic,
            kalzium,
            pymol,
            viewmol
Suggests: rasmol
Description: Debian Edu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: bc,
            cifs-utils,
            command-not-found,
            convmv,
            debconf-utils,
            debian-edu-config,
            debian-edu-doc-en,
            debian-edu-install,
            deborphan,
            dhcping,
            dmidecode,
            etherwake,
            ethtool,
            finger,
            fping,
            gdebi-core | gdebi,
            hddtemp,
            htop,
            hwinfo,
            iftop,
            iotop,
            iproute2,
            iputils-arping | arping,
            less,
            libnss-myhostname,
            libpam-tmpdir,
            libwww-perl,
            lshw,
            lsscsi,
            mc,
            memtest86+,
            mlocate,
            mtools,
            mtr-tiny | mtr,
            ncftp,
            nictools-pci,
            nmap,
            nullidentd | ident-server,
            openbsd-inetd,
            pciutils,
            procinfo,
            procmail,
            psmisc,
            resolvconf,
            rsync,
            rsyslog,
            screen,
            smartmontools,
            strace,
            sysfsutils,
            tcpdump,
            tcptraceroute,
            vim
Suggests: apticron | cron-apt,
          cpqarrayd,
          debian-goodies,
          debsecan,
          dpt-i2o-raidutils | raidutils,
          emacs,
          gdb,
          isag,
          kexec-tools,
          mpt-status,
          nvram-wakeup,
          popularity-contest,
          rsyslog-doc,
          valgrind,
          wireshark
Description: Debian Edu common basic packages
 A metapackage containing dependencies for packages required on all
 installations in the Debian Edu Blend.

Package: education-desktop-gnome
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: dasher,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            kdeedu,
            task-gnome-desktop
Suggests: education-development,
          education-primaryschool,
          education-video,
          gnome-shell-extension-onboard
Description: Debian Edu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            kdeedu,
            kdegraphics-thumbnailers,
            kdeutils,
            kio-audiocd,
            sddm-theme-elarun,
            task-kde-desktop
Suggests: education-development,
          education-primaryschool,
          education-video,
          kde-full,
          kde-zeroconf,
          kruler
Description: Debian Edu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-lxde
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: blueman,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            hexchat,
            kdeedu,
            mtpaint,
            network-manager-gnome,
            osmo,
            pidgin,
            ssh-askpass,
            task-lxde-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu LXDE desktop applications
 This metapackage depends on various LXDE components and lightweight
 desktop applications that are useful for teachers and their students.

Package: education-desktop-lxqt
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: blueman,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            galculator,
            kdeedu,
            lightdm,
            mtpaint,
            osmo,
            pidgin,
            task-lxqt-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu LXQt desktop applications
 This metapackage depends on various LXQt components and lightweight
 desktop applications that are useful for teachers and their students.

Package: education-desktop-mate
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: arctica-greeter,
            arctica-greeter-theme-debian,
            dasher,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            gnome-accessibility-themes,
            kdeedu,
            mate-desktop-environment-extras,
            onboard,
            task-mate-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu MATE desktop applications
 This metapackage depends on various MATE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: cheese,
            chromium,
            firefox-esr,
            fonts-linex,
            freerdp2-x11 | rdesktop,
            gimp,
            gimp-data-extras,
            inkscape,
            ocrad,
            openclipart,
            openclipart-libreoffice,
            plymouth,
            plymouth-themes,
            sane-utils,
            standardskriver,
            thunderbird,
            webext-ublock-origin,
            xsane
Suggests: auctex,
          avahi-discover,
          brasero | k3b,
          dia,
          djview-plugin,
          fet,
          fonts-arphic-uming,
          fonts-mlym,
          gettext,
          gnuplot,
          gosa-desktop,
          gv,
          im-config,
          jxplorer,
          katomic,
          kbattleship,
          kblackbox,
          kbounce,
          kernel-package,
          kgoldrunner,
          kig,
          kjumpingcube,
          klickety,
          kmahjongg,
          kmines,
          kolf,
          konquest,
          kpat,
          kppp,
          krb5-auth-dialog,
          kredentials,
          kreversi,
          kshisen,
          kspaceduel,
          kvpm,
          lacheck,
          libncurses5-dev,
          lyx,
          mdns-scan,
          monopd,
          ncftp,
          netpbm,
          postgresql,
          postgresql-client,
          pppoeconf,
          rsibreak | workrave,
          scim-chewing,
          scim-tables-zh,
          smbclient,
          sql-ledger,
          tablix2,
          texlive,
          texlive-latex-base,
          texlive-latex-base-doc,
          texlive-latex-recommended,
          texlive-latex-recommended-doc,
          texworks,
          vlc,
          vlc-plugin-bittorent,
          wine
Description: Debian Edu common desktop applications
 This metapackage depends on various office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-xfce
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: blueman,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,

## debian-edu 2.11.25

=== debian/changelog ===
debian-edu (2.11.25) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/preschool: Add bambam, a simple application that locks real keyboard
    and mouse functions, displaying bright colors, pictures, and sounds instead.
  * tasks/{misc,primaryschool,secondaryschool}: Add basket, a multi-purpose
    note-taking application.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Oct 2020 10:56:20 +0200

debian-edu (2.11.24) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/main-server: Add avahi-utils to improve Samba service publishing.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2020 12:44:36 +0200

debian-edu (2.11.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/{preschool,primaryschool}: Add pysiogame, a set of educational
    activities and games for 3-10 year old children.
  * tasks/physics: Replace python-pyode with python3-pyode.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 12 Oct 2020 23:07:54 +0200

debian-edu (2.11.22) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control.stub: Use https://blends.debian.org/edu as homepage.
  * tasks/desktop-gnome: Drop gnome-shell-extension-onboard (not built anymore).
  * tasks/music: Drop freebirth (abondoned upstream).
  * tasks/{preschool,primaryschool}: Drop childsplay (removed from testing, no
    intention upstream for porting to python3).
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Oct 2020 00:55:00 +0200

debian-edu (2.11.21) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/desktop-other: webext-ublock-origin has been split into two; replace
    it with webext-ublock-origin-{firefox,chromium}.
  * debian/control: Update after running 'make dist'.

  [ Holger Levsen ]
  * Update renamed lintian tag names in lintian overrides, thanks
    lintian-brush.

 -- Holger Levsen <holger@debian.org>  Fri, 11 Sep 2020 16:45:35 +0200

debian-edu (2.11.20) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/main-server: stop recommending hplip-gui; the GUI only makes sense for
    a system with profile 'Standalone'.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Jul 2020 15:43:16 +0200

debian-edu (2.11.19) unstable; urgency=medium

  [ Holger Levsen ]
  * tasks/networked-common: stop recommending haveged, the bullseye kernel
    can provide enough entropy by itself. Closes: #961729.
  * debian/control: Update after running 'make dist'.

  [ Wolfgang Schweer ]
  * tasks/preschool: Remove pysycache (removed from sid and testing).
  * debian/copyright: Cleanup from no longer existing packages and sort entries.
  * Update tasks.ctl to match current state.

 -- Holger Levsen <holger@debian.org>  Fri, 19 Jun 2020 17:12:05 +0200

debian-edu (2.11.18) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * task-print-service (previously task-print-server, see 2.11.9) has been
    dropped from tasksel (#950553); adjust related tasks.
    tasks/{main-server,standalone}:
    Recommend print-service related packages cups, cups-bsd, cups-pdf,
    foomatic-db-compressed-ppds, hp-ppd, hpijs-ppds and hplip-gui.

  [ Holger Levsen ]
  * debian/tests/test-metapkgs: replace use of deprecated $ADTTMP with
    $AUTOPKGTEST_TMP, thanks lintian-brush.
  * debian/control.stub: Bump debhelper-compat to 13.
  * debian/copyright: add tasks/desktop-cinnamon (thanks lintian) and update
    years for Wolfgang and myself.

 -- Holger Levsen <holger@debian.org>  Mon, 11 May 2020 15:45:11 +0200

debian-edu (2.11.17) unstable; urgency=medium

  * No change source-only upload to allow testing migration.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Apr 2020 12:48:28 +0200

debian-edu (2.11.16) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add tasks/desktop-cinnamon to support the last missing desktop environment
    listed in the Debian Installer task selection.
  * debian/control and debian-edu-tasks.desc: updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Apr 2020 01:05:43 +0200

debian-edu (2.11.15) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/main-server: Recommend mariadb-server, needed for icinga2 setup.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2020 00:17:26 +0100

debian-edu (2.11.14) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/main-server:
    Recommend ipxe (required for the PXE installation environment), no longer
    recommend pxelinux and syslinux-common.
  * debian/control: Update after running 'make dist'.

  [ Holger Levsen ]
  * Fix workaround from 2.11.13.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Mar 2020 14:46:29 +0100

debian-edu (2.11.13) unstable; urgency=medium

  * d/rules: add workaround to fix (unreported) issue in blends-dev.
    Closes: #953359.

 -- Holger Levsen <holger@debian.org>  Sat, 14 Mar 2020 19:08:21 +0100

debian-edu (2.11.12) unstable; urgency=medium

  * debian/control:
    - convert education-menus into arch:all and mark it Multi-Arch:foreign.
    - update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sat, 07 Mar 2020 09:48:47 +0100

debian-edu (2.11.11) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/workstation:
    - Recommend gvfs-fuse. (Closes: #951686).
    - Also recommend gvfs-backends to ensure that Thunar supports protocols for
      remote access. (Might be needed for other file managers, too.)
  * debian/control: Update after running 'make dist'.

  [ Holger Levsen ]
  * d/changelog: Wrap long lines in 2.10.35, 0.815, 0.814 entries. Thanks
    lintian-brush!

 -- Holger Levsen <holger@debian.org>  Fri, 21 Feb 2020 14:51:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  Mike Gabriel <sunweaver@debian.org>,
  Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
-Build-Depends: debhelper-compat (= 12), blends-dev
+Build-Depends: debhelper-compat (= 13), blends-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu.git
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
-Homepage: https://www.skolelinux.org
+Homepage: https://blends.debian.org/edu
 
 XS-Comment: This is a specific package which contains a tasksel helper. It doesn't make sense to put it in tasks.
 Package: education-tasks
@@ -32,7 +32,8 @@
 XS-Comment: This is a specific package which reorganizes the menu. It doesn't make sense to put in tasks.
 Package: education-menus
 Section: misc
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Debian Edu menu reorganization
  A package to reorganize menu branches in order to get a structure
@@ -68,13 +69,13 @@
             chemtool,
             easychem,
             education-menus,
-            gchempaint,
             gdis,
             gperiodic,
             kalzium,
-            pymol,
-            viewmol
-Suggests: rasmol
+            pymol
+Suggests: gchempaint,
+          rasmol,
+          viewmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
  teach chemistry.
@@ -156,6 +157,36 @@
  A metapackage containing dependencies for packages required on all
  installations in the Debian Edu Blend.
 
+Package: education-desktop-cinnamon
+Section: metapackages
+Architecture: any
+Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})
+Recommends: education-astronomy,
+            education-chemistry,
+            education-common,
+            education-electronics,
+            education-geography,
+            education-graphics,
+            education-language,
+            education-logic-games,
+            education-mathematics,
+            education-misc,
+            education-music,
+            education-physics,
+            kdeedu,
+            lightdm,
+            osmo,
+            task-cinnamon-desktop
+Suggests: education-development,
+          education-primaryschool,
+          education-video,
+          fotoxx,
+          mtpaint
+Description: Debian Edu Cinnamon desktop applications
+ This metapackage depends on various Cinnanon components and desktop
+ applications that are useful for teachers and their students.
+
 Package: education-desktop-gnome
 Section: metapackages
 Architecture: any
@@ -178,8 +209,7 @@
             task-gnome-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video,
-          gnome-shell-extension-onboard
+          education-video
 Description: Debian Edu GNOME desktop applications
  This metapackage depends on various GNOME office and desktop applications
  that are useful for teachers and their students.
@@ -235,10 +265,8 @@
             education-misc,
             education-music,
             education-physics,
-            fotoxx,
             hexchat,
             kdeedu,
-            mtpaint,
             network-manager-gnome,
             osmo,
             pidgin,
@@ -246,7 +274,9 @@
             task-lxde-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video
+          education-video,
+          fotoxx,
+          mtpaint
 Description: Debian Edu LXDE desktop applications
  This metapackage depends on various LXDE components and lightweight
  desktop applications that are useful for teachers and their students.
@@ -269,17 +299,17 @@
             education-misc,
             education-music,
             education-physics,
-            fotoxx,
             galculator,
             kdeedu,
             lightdm,
-            mtpaint,
             osmo,
             pidgin,
             task-lxqt-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video
+          education-video,
+          fotoxx,
+          mtpaint
 Description: Debian Edu LXQt desktop applications
  This metapackage depends on various LXQt components and lightweight
  desktop applications that are useful for teachers and their students.
@@ -337,7 +367,8 @@
             sane-utils,
             standardskriver,
             thunderbird,
-            webext-ublock-origin,
+            webext-ublock-origin-chromium,
+            webext-ublock-origin-firefox,
             xsane
 Suggests: auctex,
           avahi-discover,
@@ -384,36 +415,3 @@
           postgresql,
           postgresql-client,
           pppoeconf,
-          rsibreak | workrave,
-          scim-chewing,
-          scim-tables-zh,
-          smbclient,
-          sql-ledger,
-          tablix2,
-          texlive,
-          texlive-latex-base,
-          texlive-latex-base-doc,
-          texlive-latex-recommended,
-          texlive-latex-recommended-doc,
-          texworks,
-          vlc,
-          vlc-plugin-bittorent,
-          wine
-Description: Debian Edu common desktop applications
- This metapackage depends on various office and desktop applications
- that are useful for teachers and their students.
-
-Package: education-desktop-xfce
-Section: metapackages
-Architecture: any
-Depends: ${misc:Depends},
-         education-tasks (= ${binary:Version})
-Recommends: blueman,
-            education-astronomy,
-            education-chemistry,
-            education-common,
-            education-electronics,
-            education-geography,
-            education-graphics,
-            education-language,
-            education-logic-games,

## debian-edu 2.11.26

=== debian/changelog ===
debian-edu (2.11.26) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/networked-common: Drop ntp and ntpdate packages.
    - the ntpdate package is deprecated.
    - ntp is only needed on the main server (see tasks/main-server); cfengine
      is used to configure timesyncd as ntp client on networked clients.
  * tasks/common: Add debian-edu-doc-legacy-en package.

 -- Holger Levsen <holger@debian.org>  Mon, 09 Nov 2020 09:44:14 +0100

=== debian/control ===
--- 
+++ 
@@ -69,12 +69,12 @@
             chemtool,
             easychem,
             education-menus,
+            gchempaint,
             gdis,
             gperiodic,
             kalzium,
             pymol
-Suggests: gchempaint,
-          rasmol,
+Suggests: rasmol,
           viewmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
@@ -92,6 +92,7 @@
             debconf-utils,
             debian-edu-config,
             debian-edu-doc-en,
+            debian-edu-doc-legacy-en,
             debian-edu-install,
             deborphan,
             dhcping,
@@ -174,6 +175,7 @@
             education-misc,
             education-music,
             education-physics,
+            fotoxx,
             kdeedu,
             lightdm,
             osmo,
@@ -181,7 +183,6 @@
 Suggests: education-development,
           education-primaryschool,
           education-video,
-          fotoxx,
           mtpaint
 Description: Debian Edu Cinnamon desktop applications
  This metapackage depends on various Cinnanon components and desktop
@@ -265,6 +266,7 @@
             education-misc,
             education-music,
             education-physics,
+            fotoxx,
             hexchat,
             kdeedu,
             network-manager-gnome,
@@ -275,7 +277,6 @@
 Suggests: education-development,
           education-primaryschool,
           education-video,
-          fotoxx,
           mtpaint
 Description: Debian Edu LXDE desktop applications
  This metapackage depends on various LXDE components and lightweight
@@ -299,6 +300,7 @@
             education-misc,
             education-music,
             education-physics,
+            fotoxx,
             galculator,
             kdeedu,
             lightdm,
@@ -308,7 +310,6 @@
 Suggests: education-development,
           education-primaryschool,
           education-video,
-          fotoxx,
           mtpaint
 Description: Debian Edu LXQt desktop applications
  This metapackage depends on various LXQt components and lightweight
@@ -414,4 +415,3 @@
           netpbm,
           postgresql,
           postgresql-client,
-          pppoeconf,

## debian-edu 2.11.27

=== debian/changelog ===
debian-edu (2.11.27) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/desktop-other: Add chromium-l10n.
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Nov 2020 12:08:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper-compat (= 13), blends-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu.git
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
@@ -178,12 +178,12 @@
             fotoxx,
             kdeedu,
             lightdm,
+            mtpaint,
             osmo,
             task-cinnamon-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video,
-          mtpaint
+          education-video
 Description: Debian Edu Cinnamon desktop applications
  This metapackage depends on various Cinnanon components and desktop
  applications that are useful for teachers and their students.
@@ -269,6 +269,7 @@
             fotoxx,
             hexchat,
             kdeedu,
+            mtpaint,
             network-manager-gnome,
             osmo,
             pidgin,
@@ -276,8 +277,7 @@
             task-lxde-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video,
-          mtpaint
+          education-video
 Description: Debian Edu LXDE desktop applications
  This metapackage depends on various LXDE components and lightweight
  desktop applications that are useful for teachers and their students.
@@ -304,13 +304,13 @@
             galculator,
             kdeedu,
             lightdm,
+            mtpaint,
             osmo,
             pidgin,
             task-lxqt-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video,
-          mtpaint
+          education-video
 Description: Debian Edu LXQt desktop applications
  This metapackage depends on various LXQt components and lightweight
  desktop applications that are useful for teachers and their students.
@@ -354,6 +354,7 @@
          education-tasks (= ${binary:Version})
 Recommends: cheese,
             chromium,
+            chromium-l10n,
             firefox-esr,
             fonts-linex,
             freerdp2-x11 | rdesktop,
@@ -413,5 +414,3 @@
           monopd,
           ncftp,
           netpbm,
-          postgresql,
-          postgresql-client,

## debian-edu 2.11.28

=== debian/changelog ===
debian-edu (2.11.28) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/networked-common: Add cups-core-drivers, needed for printing on client
    machines inside internal networks.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 23 Nov 2020 22:28:38 +0100

## debian-edu 2.11.29

=== debian/changelog ===
debian-edu (2.11.29) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/roaming-workstation: Add libsss-sudo to enable another feature.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Dec 2020 19:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -72,9 +72,9 @@
             gchempaint,
             gdis,
             gperiodic,
-            kalzium,
-            pymol
-Suggests: rasmol,
+            kalzium
+Suggests: pymol,
+          rasmol,
           viewmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
@@ -353,8 +353,6 @@
 Depends: ${misc:Depends},
          education-tasks (= ${binary:Version})
 Recommends: cheese,
-            chromium,
-            chromium-l10n,
             firefox-esr,
             fonts-linex,
             freerdp2-x11 | rdesktop,
@@ -375,6 +373,8 @@
 Suggests: auctex,
           avahi-discover,
           brasero | k3b,
+          chromium,
+          chromium-l10n,
           dia,
           djview-plugin,
           fet,
@@ -414,3 +414,4 @@
           monopd,
           ncftp,
           netpbm,
+          postgresql,

## debian-edu 2.11.31

=== debian/changelog ===
debian-edu (2.11.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/{desktop-other,secondaryschool}:
    - Add vokoscreen-ng. vokoscreenNG is an easy to use screencast creator.
  * tasks/primaryschool:
    - Add ulcc, an educational tool to aid in learning words through images.
    - Add qabcs, an educational tool to learn the alphabet and get familiar
      with a keyboard.
  * task/main-server:
    - Drop ltsp. The debian-edu-pxeinstall tool shipped with d-e-config 2.11.42
      is used to generate the complete iPXE menu.
  * menus/applications-merged/video.menu:
    - Update after adding vokoscreenNG (replacing gtk-recordmydesktop).
  * menus/xfce-applications.menu: Adjust to reflect recent Xfce4 changes.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:28:56 +0100

debian-edu (2.11.30) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * task/main-server:
    - Replace libapache2-mod-auth-kerb (removed from testing, also see #976156)
      with libapache2-mod-auth-gssapi.
    - Add ltsp. The 'ltsp ipxe' command is used to provide the preconfigured
      iPXE menu file for PXE installations on the backbone network.
  * tasks/roaming-workstation: Drop wicd (removed from testing and unstable).
  * tasks/graphics: Drop pinta (removed from testing in 2017).
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Dec 2020 17:22:16 +0100

=== debian/control ===
--- 
+++ 
@@ -367,6 +367,7 @@
             sane-utils,
             standardskriver,
             thunderbird,
+            vokoscreen-ng,
             webext-ublock-origin-chromium,
             webext-ublock-origin-firefox,
             xsane
@@ -414,4 +415,3 @@
           monopd,
           ncftp,
           netpbm,
-          postgresql,

## debian-edu 2.11.33

=== debian/changelog ===
debian-edu (2.11.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/{desktop-other,electronics,geography,mathematics}:
    - Cleanup Suggests: from packages that have been removed from both unstable
      and testing.

 -- Holger Levsen <holger@debian.org>  Sun, 31 Jan 2021 18:37:19 +0100

debian-edu (2.11.32) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/{logic-games,primaryschool}:
    - Add glpeces, a tangram like puzzle game.
    tasks/{development,misc}:
    - Add colobot, a programming strategy game.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Jan 2021 16:26:39 +0100

=== debian/control ===
--- 
+++ 
@@ -377,7 +377,6 @@
           chromium,
           chromium-l10n,
           dia,
-          djview-plugin,
           fet,
           fonts-arphic-uming,
           fonts-mlym,
@@ -401,9 +400,7 @@
           kolf,
           konquest,
           kpat,
-          kppp,
           krb5-auth-dialog,
-          kredentials,
           kreversi,
           kshisen,
           kspaceduel,
@@ -415,3 +412,5 @@
           monopd,
           ncftp,
           netpbm,
+          postgresql,
+          postgresql-client,

## debian-edu 2.11.34

=== debian/changelog ===
debian-edu (2.11.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/desktop-other:
    - Add openboard, an interactive white board application.
  * tasks/{highschool,mathematics,secondaryschool}:
    - Add carmetal, dynamic geometry software.
  * tasks/common:
    - Drop nictools-pci, removed from both unstable and testing.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Feb 2021 11:48:28 +0100

=== debian/control ===
--- 
+++ 
@@ -72,9 +72,9 @@
             gchempaint,
             gdis,
             gperiodic,
-            kalzium
-Suggests: pymol,
-          rasmol,
+            kalzium,
+            pymol
+Suggests: rasmol,
           viewmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
@@ -121,7 +121,6 @@
             mtools,
             mtr-tiny | mtr,
             ncftp,
-            nictools-pci,
             nmap,
             nullidentd | ident-server,
             openbsd-inetd,
@@ -412,5 +411,6 @@
           monopd,
           ncftp,
           netpbm,
+          openboard,
           postgresql,
           postgresql-client,

## debian-edu 2.11.35

=== debian/changelog ===
debian-edu (2.11.35) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/chemistry: Drop viewmol, removed from testing (build-depends on
    Python 2), dead upstream.

 -- Holger Levsen <holger@debian.org>  Wed, 10 Feb 2021 12:36:20 +0100

=== debian/control ===
--- 
+++ 
@@ -74,8 +74,7 @@
             gperiodic,
             kalzium,
             pymol
-Suggests: rasmol,
-          viewmol
+Suggests: rasmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
  teach chemistry.
@@ -352,6 +351,8 @@
 Depends: ${misc:Depends},
          education-tasks (= ${binary:Version})
 Recommends: cheese,
+            chromium,
+            chromium-l10n,
             firefox-esr,
             fonts-linex,
             freerdp2-x11 | rdesktop,
@@ -359,6 +360,7 @@
             gimp-data-extras,
             inkscape,
             ocrad,
+            openboard,
             openclipart,
             openclipart-libreoffice,
             plymouth,
@@ -373,8 +375,6 @@
 Suggests: auctex,
           avahi-discover,
           brasero | k3b,
-          chromium,
-          chromium-l10n,
           dia,
           fet,
           fonts-arphic-uming,
@@ -411,6 +411,6 @@
           monopd,
           ncftp,
           netpbm,
-          openboard,
           postgresql,
           postgresql-client,
+          pppoeconf,

## debian-edu 2.11.37

=== Makefile ===
#!/usr/bin/make -f

TASKSELOPTS = -u
GENCONTROL_DEPENDS = true

include /usr/share/blends-dev/Makefile

# override target from /usr/share/blends-dev/Makefile
# this is a workaround for two missing features in blends-dev (we should probably file wishlist bugs)
# a.) depends on arch:any packages should refer binary version to allow binNMUs (see #910498)
# b.) remove empty trailing line in debian/control to avoid pedantic lintian warning
dist:
	        rm -f $(BLEND)-tasks.desc debian/control
	        make -f debian/rules get-orig-source
		sed -i 's#source:Version#binary:Version#' debian/control
		perl -i -pe "chomp if eof" debian/control

=== debian/changelog ===
debian-edu (2.11.37) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/common: Recommend plocate as preferred locate. (Closes: #989518)
    Thanks to Paul Wise for informing us.

 -- Holger Levsen <holger@debian.org>  Wed, 09 Jun 2021 23:14:40 +0200

debian-edu (2.11.36) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/music: Recommend musescore3 instead of musescore. (Closes: #985079)
    - Also add Suggests on musescore, thanks to Thorsten Glaser.

  [ Holger Levsen ]
  * Move currently unavailable debian-installer-11-netboot-(amd64|i386)
    packages from suggests to recommends so we don't need another upload once
    they become available in bullseye.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Mar 2021 12:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -116,7 +116,6 @@
             lsscsi,
             mc,
             memtest86+,
-            mlocate,
             mtools,
             mtr-tiny | mtr,
             ncftp,
@@ -124,6 +123,7 @@
             nullidentd | ident-server,
             openbsd-inetd,
             pciutils,
+            plocate | mlocate,
             procinfo,
             procmail,
             psmisc,
@@ -413,4 +413,3 @@
           netpbm,
           postgresql,
           postgresql-client,
-          pppoeconf,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/blends-dev/rules

# workaround to fix #953359
override_dh_install:
	$(BLEND_INSTALL_HELPER)
	dh_install -a $(BLENDNAME)-tasks.desc usr/share/tasksel/descs
	dh_install
